Bug 196040 - SSL connections to postgresql DB leak memory
SSL connections to postgresql DB leak memory
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rh-postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
Blocks: 212183
  Show dependency treegraph
Reported: 2006-06-20 11:48 EDT by Jose Plans
Modified: 2013-07-02 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: rh-postgresql-7.3.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 15:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
postgresql-free-ssl.patch (909 bytes, patch)
2006-06-20 11:48 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-06-20 11:48:49 EDT
Customer found that connections to a PostgreSQL database via a SSL secured
connection leaks memory in the client. Problem was traced to an error in the
close_SSL() functionin backendd/libpq/be-secure.c. Information regarding the
defect can be found at

http: //archives.postgresql.org/pgsql-bugs/2003-12/msg00118.php
http: //archives.postgresql.org/pgsql-bugs/2003-12/msg00167.php

The attached patch has been adapted for the RHEL3 package 
rh-postgresql-7.3.15-2.src.rpm from the fixes proposed in those messages. The
patch has been tested by the customer and shown to resolve the issue. Customer
would like an official package.
Comment 1 Jose Plans 2006-06-20 11:48:50 EDT
Created attachment 131204 [details]
Comment 2 Tom Lane 2006-06-23 11:37:40 EDT
This is a trivial fix from an engineering perspective, but sliding it into U8 at
this late date will require jumping through the exception-process hoops.  I
believe the first step is for SEG to make the exception request, so ball's in
your court.
Comment 3 Tom Lane 2006-06-23 11:44:08 EDT
Fix is built in dist-3.0E-qu-candidate, rh-postgresql-7.3.15-3.  Will file an
errata as soon as someone tells me the exception is approved.
Comment 15 Daniel Riek 2006-12-15 13:31:25 EST
PM ACK for 3.9
Comment 17 Tom Lane 2007-02-07 15:51:38 EST
The fix for this is included in rh-postgresql-7.3.18-1, which has just been
pushed as part of RHSA-2007:0064.  So we no longer need consider it for an
update release.

Note You need to log in before you can comment on or make changes to this bug.